## libcommons-discovery-java 0.4

=== debian/changelog ===
libcommons-discovery-java (0.4-4) unstable; urgency=low

  [ Emmanuel Bourg ]
  * Update of the URLs
  * Rename Jakarta Commons to Apache Commons

  [ Damien Raude-Morvan ]
  * Add myself to Uploaders
  * Remove Arnaud from Uploaders (retired from Debian)
  * Add Maven support:
    - debian/control: Build-Depends-Indep on maven-repo-helper
    - debian/rules: mh_installpoms and mh_installjar
    - debian/pom.xml: POM for commons-dicovery
  * Use 3.0 (quilt) source format:
    - debian/rules: Remove simple-patchsys.mk
    - Refresh all debian/patches
  * Updated Standards-Version 3.8.4 (no changes needed)
  * debian/ant.properties: Compile for Java 1.3
  * Install Javadoc HTML to /usr/share/doc/libcommons-discovery-java/api/

 -- Damien Raude-Morvan <drazzib@debian.org>  Thu, 25 Mar 2010 22:45:40 +0100

libcommons-discovery-java (0.4-3) unstable; urgency=low

  * Update the license to Apache License 2.0 (Closes: #532890)

 -- Varun Hiremath <varun@debian.org>  Tue, 16 Jun 2009 17:38:09 -0400

libcommons-discovery-java (0.4-2) unstable; urgency=low

  [ Matthias Klose ]
  * (Build-)depend on default-jre/-jdk.

  [ Varun Hiremath ]
  * Split out api docs into a separate -doc package (Closes: #506359)

 -- Varun Hiremath <varun@debian.org>  Sat, 06 Dec 2008 20:58:55 -0500

libcommons-discovery-java (0.4-1) unstable; urgency=low

  [ Kumar Appaiah ]
  * debian/control:
    + Add XS-Vcs-{Svn,Browser} to debian/control
    + Add Homepage field.
  * Update watch file.

  [ Varun Hiremath ]
  * New upstream release
  * debian/control:
    + Add myself and Kumar Appaiah to Uploaders.
    + move cdbs and debhelper to Build-Depends.
    + modify Description.
  * debian/compat: switch to 5
  * remove links file from debian/
  * debian/rules:
    + Use DEB_UPSTREAM_VERSION to install jar
    + Create a versioned symbolic link to the jar.
    + implement get-orig-source
  * debian/patches:
    + remove 02_jikes_target_1_3.patch, builds without setting target to 1.3
    + remove 03_gjdoc_crash_fix.patch, gjdoc bug has been fixed and no longer needed.
  * Add debian/orig-tar.sh to move tarball to deb-layout's tarballs dir.
  * Update debian/watch to call debian/orig-tar.sh
  * debian/docs: remove adc-guidelines.html and best-practices.html as
    upstream provides only Maven xdocs XMLs.

 -- Varun Hiremath <varunhiremath@gmail.com>  Thu, 20 Sep 2007 23:27:45 +0530

libcommons-discovery-java (0.2-10) unstable; urgency=low

  * Use java-gcj-compat instead of kaffe.
  * Moved Build-Depends-Indep to Build-Depends.
  * Updated Standards-Version.
  * Removed Wolfgang from Uploaders and added myself.
  * Fixed Homepage: tag in package description.

 -- Michael Koch <konqueror@gmx.de>  Sun, 17 Jun 2007 13:56:27 -0100

libcommons-discovery-java (0.2-9) unstable; urgency=low

  * kaffe compiler transition 

 -- Wolfgang Baer <WBaer@gmx.de>  Sun, 15 Jan 2006 17:00:07 +0100

libcommons-discovery-java (0.2-8) unstable; urgency=low

  * Additional ant-optional dependency due to ant reorganization
    and enabled unit tests during build time
  * Added java1-runtime dependency to allow all free runtimes
  * Added patch to fix gjdoc crash on one source file (reported upstream)
  * Removed junit as dependency - only needed at build time
  * Register documenation with doc-base
  * Removed empty README.Debian
  * Standards-Version 3.6.2 (no changes) 

 -- Wolfgang Baer <WBaer@gmx.de>  Wed,  5 Oct 2005 10:01:59 +0000

libcommons-discovery-java (0.2-7) unstable; urgency=low

  * libant1.6-java to ant transition

 -- Arnaud Vandyck <avdyk@debian.org>  Sat, 20 Aug 2005 19:37:55 +0200

libcommons-discovery-java (0.2-6) unstable; urgency=low

  * building with kaffe because of a failure in sablevm
  * building javadoc

 -- Arnaud Vandyck <avdyk@debian.org>  Wed,  2 Mar 2005 22:47:22 +0100

libcommons-discovery-java (0.2-5) unstable; urgency=low

  * added kaffe to the build-dep, but finally built with SableVM. The
    javadoc is no more generated at the moment.

 -- Arnaud Vandyck <avdyk@debian.org>  Sun, 15 Aug 2004 02:33:19 +0200

libcommons-discovery-java (0.2-4) unstable; urgency=low

  * added libant1.6-java and jikes (closes: #265661).

 -- Arnaud Vandyck <avdyk@debian.org>  Sat, 14 Aug 2004 16:22:02 +0200

libcommons-discovery-java (0.2-3) unstable; urgency=low

  * added cdbs to the build-depends, thanks to Daniel Schepler (closes:
    #251908).

 -- Arnaud Vandyck <avdyk@debian.org>  Mon, 31 May 2004 21:34:17 +0200

libcommons-discovery-java (0.2-2) unstable; urgency=low

  * Move to main: libcommons-logging-java is now in main.

 -- Arnaud Vandyck <avdyk@debian.org>  Thu, 13 May 2004 00:51:00 +0200

libcommons-discovery-java (0.2-1) unstable; urgency=low

  * Initial Release (closes: #237507).

 -- Arnaud Vandyck <avdyk@debian.org>  Fri, 12 Mar 2004 23:53:29 +0100
