=== debian/control ===
Source: libcommons-discovery-java
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Michael Koch <konqueror@gmx.de>, Damien Raude-Morvan <drazzib@debian.org>,
 Kumar Appaiah <akumar@debian.org>, Varun Hiremath <varun@debian.org>
Build-Depends: debhelper (>= 7), cdbs, ant, default-jdk
Build-Depends-Indep: libcommons-logging-java, junit, ant-optional, maven-repo-helper
Standards-Version: 3.8.4
Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/libcommons-discovery-java/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/libcommons-discovery-java/
Homepage: http://commons.apache.org/discovery/

Package: libcommons-discovery-java
Architecture: all
Depends: ${misc:Depends}, default-jre-headless | java1-runtime-headless | java2-runtime-headless, libcommons-logging-java
Suggests: libcommons-discovery-java-doc
Description: locates classes that implement a given Java interface
 The Discovery Component is about discovering, or finding,
 implementations for pluggable interfaces. It provides facilities
 instantiating classes in general, and for lifecycle management of
 singleton (factory) classes.
 .
 Fundamentally, Discovery locates classes that implement a given Java
 interface. The discovery pattern, though not necessarily this package,
 is used in many projects including JAXP (SaxParserFactory and others)
 and commons-logging (LogFactory). By extracting this pattern, other
 projects can (re)use it and take advantage of improvements to the
 pattern as Discovery evolves.
 .
 Discovery improves over previous implementations by establishing
 facilities for working within managed environments. These allow
 configuration and property overrides without appealing to the global
 System properties (which are scoped across an entire JVM).

Package: libcommons-discovery-java-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, default-jre-headless | java1-runtime-headless | java2-runtime-headless
Description: locates classes that implement a given Java interface (documentation)
 The Discovery Component is about discovering, or finding,
 implementations for pluggable interfaces. It provides facilities
 instantiating classes in general, and for lifecycle management of
 singleton (factory) classes.
 .
 Fundamentally, Discovery locates classes that implement a given Java
 interface. The discovery pattern, though not necessarily this package,
 is used in many projects including JAXP (SaxParserFactory and others)
 and commons-logging (LogFactory). By extracting this pattern, other
 projects can (re)use it and take advantage of improvements to the
 pattern as Discovery evolves.
 .
 Discovery improves over previous implementations by establishing
 facilities for working within managed environments. These allow
 configuration and property overrides without appealing to the global
 System properties (which are scoped across an entire JVM).
 .
 This package contains the documentation.
