=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/ant.mk

JAVA_HOME_DIRS       := /usr/lib/jvm/default-java
ANT_HOME             := /usr/share/ant
DEB_JARS             := commons-logging junit $(ANT_HOME)/lib/ant-launcher.jar
DEB_ANT_BUILD_TARGET := dist test.discovery

LIBRARY=commons-discovery

install/lib${LIBRARY}-java::
	mh_installpoms -plib${LIBRARY}-java
	mh_installjar -plib${LIBRARY}-java -l debian/pom.xml dist/${LIBRARY}.jar

clean::
	-rm -rf debian/tmp

get-orig-source:
	-uscan --upstream-version 0 --rename
