=== debian/watch ===
version=3
http://www.apache.org/dist/commons/discovery/source/ commons-discovery-([\d\.]+)-src.tar.gz debian debian/orig-tar.sh
