## libcommons-discovery-java 0.5

=== debian/changelog ===
libcommons-discovery-java (0.5-3ubuntu1) quantal; urgency=low

  * Merge from Debian testing.  Remaining changes:
    - d/control: Switch Build-Deps from maven to ant, fix Depends on
      binary packages.
    - d/rules: Switch from maven to ant cdbs build and ensure that junit4
      is used to execute unit tests.
    - d/ant.properties: Specify build overrides for upstream build.xml
      to support use of system Java libraries.
    - d/libcommons-discovery-java-doc.install: install API docs from ant
      build output.
    - d/patches/fix_junit4_tests.diff: fix build process to execute
      tests using the junit ant task rather than executing junit directly
      in order to support use of JUnit4 annotations.

 -- James Page <james.page@ubuntu.com>  Mon, 28 May 2012 17:18:46 +0100

libcommons-discovery-java (0.5-3) unstable; urgency=low

  * Team upload.
  * Add --java-lib option to pom file to fix FTBFS. (Closes: #663106) 
  * Bump standards version to 3.9.3 (no changes).
  * Remove Michael Koch from Uploaders.  (Closes: #654053)

 -- tony mancill <tmancill@debian.org>  Thu, 08 Mar 2012 08:06:54 -0800

libcommons-discovery-java (0.5-2ubuntu2) quantal; urgency=low

  * No-change rebuild with openjdk-7 as default-jdk.

 -- James Page <james.page@ubuntu.com>  Fri, 18 May 2012 11:42:14 +0100

libcommons-discovery-java (0.5-2ubuntu1) precise; urgency=low

  * Merge from Debian testing.  Remaining changes:
    - d/control: Switch Build-Deps from maven to ant, fix Depends on
      binary packages.
    - d/rules: Switch from maven to ant cdbs build and ensure that junit4
      is used to execute unit tests.
    - d/ant.properties: Specify build overrides for upstream build.xml
      to support use of system Java libraries.
    - d/libcommons-discovery-java-doc.install: install API docs from ant
      build output.
    - d/patches/fix_junit4_tests.diff: fix build process to execute
      tests using the junit ant task rather than executing junit directly
      in order to support use of JUnit4 annotations.

 -- James Page <james.page@ubuntu.com>  Thu, 09 Feb 2012 16:15:30 +0000

libcommons-discovery-java (0.5-2) unstable; urgency=low

  * Add OSGi metadata to jar manifest

 -- Jakub Adam <jakub.adam@ktknet.cz>  Tue, 15 Nov 2011 00:34:22 +0100

libcommons-discovery-java (0.5-1ubuntu1) precise; urgency=low

  * Switch build system to ant to support continued inclusion in 
    Ubuntu main:
    - d/control: Switch Build-Deps from maven to ant, fix Depends on 
      binary packages.
    - d/rules: Switch from maven to ant cdbs build and ensure that junit4
      is used to execute unit tests.
    - d/ant.properties: Specify build overrides for upstream build.xml
      to support use of system Java libraries.
    - d/libcommons-discovery-java-doc.install: install API docs from ant
      build output.
    - d/patches/fix_junit4_tests.diff: fix build process to execute
      tests using the junit ant task rather than executing junit directly
      in order to support use of JUnit4 annotations.

 -- James Page <james.page@ubuntu.com>  Wed, 23 Nov 2011 11:51:23 +0000

libcommons-discovery-java (0.5-1) unstable; urgency=low

  * Team upload.

  [ Damien Raude-Morvan ]
  * d/patches/java6_incompatible_types{,_tests}.diff: Fix FTBFS on openjdk-6.
  * d/control: Drop Depends on any JRE as a Java library don't need to
    depends on a runtime (Java Policy).
  * d/patches/0001-set-source-and-target-version-1.5.patch: Dropped.
  * d/maven.properties: Set source and target for javac to 1.5.

  [ Torsten Werner ]
  * Update Standards-Version: 3.9.2.
  * New upstream version.
  * Update debian/copyright.
  * Use Maven to build the package.
  * Drop old patch which is not needed anymore.
  * Update debian/watch to create orig tarball from upstreams svn repository.

 -- Damien Raude-Morvan <drazzib@debian.org>  Tue, 01 Nov 2011 15:14:06 +0100
