=== debian/control ===
--- 
+++ 
@@ -1,19 +1,22 @@
 Source: libcommons-discovery-java
 Section: java
 Priority: optional
-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
-Uploaders: Michael Koch <konqueror@gmx.de>, Damien Raude-Morvan <drazzib@debian.org>,
- Kumar Appaiah <akumar@debian.org>, Varun Hiremath <varun@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Uploaders: Damien Raude-Morvan <drazzib@debian.org>,
+ Kumar Appaiah <akumar@debian.org>, Varun Hiremath <varun@debian.org>,
+ Jakub Adam <jakub.adam@ktknet.cz>
 Build-Depends: debhelper (>= 7), cdbs, ant, default-jdk
-Build-Depends-Indep: libcommons-logging-java, junit, ant-optional, maven-repo-helper
-Standards-Version: 3.8.4
+Build-Depends-Indep: ant-optional, libcommons-logging-java, junit4, default-jdk-doc, 
+ libcommons-logging-java-doc, maven-repo-helper, javahelper
+Standards-Version: 3.9.3
 Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/libcommons-discovery-java/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/libcommons-discovery-java/
 Homepage: http://commons.apache.org/discovery/
 
 Package: libcommons-discovery-java
 Architecture: all
-Depends: ${misc:Depends}, default-jre-headless | java1-runtime-headless | java2-runtime-headless, libcommons-logging-java
+Depends: ${misc:Depends}, libcommons-logging-java
 Suggests: libcommons-discovery-java-doc
 Description: locates classes that implement a given Java interface
  The Discovery Component is about discovering, or finding,
@@ -36,7 +39,8 @@
 Package: libcommons-discovery-java-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}, default-jre-headless | java1-runtime-headless | java2-runtime-headless
+Depends: ${misc:Depends}, libcommons-logging-java-doc
+Suggests: libcommons-discovery-java
 Description: locates classes that implement a given Java interface (documentation)
  The Discovery Component is about discovering, or finding,
  implementations for pluggable interfaces. It provides facilities
