=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/javahelper.mk
include /usr/share/cdbs/1/class/ant.mk

JAVA_HOME := /usr/lib/jvm/default-java
DEB_JARS  := ant-junit4 ant-junit 
DEB_ANT_BUILD_TARGET := dist test.discovery
LIBRARY := commons-discovery

install/lib$(LIBRARY)-java::
	mh_installpoms -plib$(LIBRARY)-java
	mh_installjar -plib$(LIBRARY)-java -l pom.xml dist/$(LIBRARY).jar

clean::
	-rm -rf debian/tmp

get-orig-source:
	uscan --download-version $(DEB_UPSTREAM_VERSION) --force-download --rename
