=== debian/watch ===
version=3

opts="uversionmangle=s/_/./g" \
    http://svn.apache.org/repos/asf/commons/proper/discovery/tags/ \
    DISCOVERY_([\d_]*)/ debian debian/orig-tar.sh
